%define package_name    lib%{name}
%define	version	2.1.5
%define release	%mkrel 3

%define major 4
%define libname %mklibname %{name} %{major}

Name:		musicbrainz
Version:	%{version}
Release:	%{release}
Summary:	A software library for accesing MusicBrainz servers
Source:		http://ftp.musicbrainz.org/pub/musicbrainz/%{package_name}-%{version}.tar.bz2
URL:		http://www.musicbrainz.org
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
License:	LGPL
BuildRequires:	libexpat-devel >= 2.0.1
BuildRequires:	python-ctypes
BuildRequires:	autoconf2.5 >= 2.58
BuildRequires:	python-devel

%description
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %{libname}
Summary:	A software library for accesing MusicBrainz servers
Group:		System/Libraries

%description -n %{libname}
The MusicBrainz client library allows applications to make metadata
lookup to a MusicBrainz server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use libmusicbrainz
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use libmusicbrainz.

%package -n python-%{name}
Summary:	Python binding to use libmusicbrainz
Group:		Development/Python
Requires:	python-ctypes
Requires:	%{libname} = %{version}-%{release}

%description -n python-%{name}
Python binding to use libmusicbrainz.


%prep
%setup -q -n %{package_name}-%{version}

%build
%configure2_5x
%make


%install
rm -rf %{buildroot}

%makeinstall_std

pushd python 
python setup.py install --prefix=%{buildroot}/%{_prefix}
popd

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n python-%{name}
%defattr(-, root, root)
%doc python/examples/
%{py_puresitedir}/*

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO INSTALL
%{_libdir}/*.so.%{major}*

%files -n %{libname}-devel
%defattr(-, root, root)
%{_includedir}/musicbrainz
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Thu Jun 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.5-3mdv2008.0
+ Revision: 36910
- rebuild for expat

* Sun May 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.5-2mdv2008.0
+ Revision: 31795
- fix bug #31051

* Fri May 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.5-1mdv2008.0
+ Revision: 31018
- new upstream version
- drop Patch0 (merged upstream)
- spec file clean


* Fri Mar 09 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.1.4-4mdv2007.1
+ Revision: 139491
- Add Patch0: Fix CVE-2006-4197

* Sat Nov 25 2006 Götz Waschk <waschk@mandriva.org> 2.1.4-3mdv2007.1
+ Revision: 87220
- fix python deps

* Wed Oct 25 2006 Götz Waschk <waschk@mandriva.org> 2.1.4-2mdv2007.1
+ Revision: 72412
- Import musicbrainz

* Wed Oct 25 2006 Gtz Waschk <waschk@mandriva.org> 2.1.4-2mdv2007.1
- fix deps of the python plugin
- fix build

* Sat Oct 07 2006 Lenny Cartier <lenny@mandriva.com> 2.1.4-1mdv2007.0
- 2.1.4

* Fri Aug 25 2006 Emmanuel Andry <eandry@mandriva.org> 2.1.3-1mdv2007.0
- 2.1.3
- drop patches

* Fri Mar 31 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.1.2-3mdk
- add BuildRequires: python-devel

* Mon Mar 06 2006 Michael Scherer <misc@mandriva.org> 2.1.2-2mdk
- fix python module on 64 bits
- add examples to python submodule

* Mon Mar 06 2006 Michael Scherer <misc@mandriva.org> 2.1.2-1mdk
- mkrel
- 2.1.2
- put download url for rpmbuildupdate
 -add python subpackage
- add debian patch for python subpackage ( without, setup doesn't work )
- rediff patch1

* Fri Aug 19 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.1.1-3mdk
- 64-bit & libtool fixes

* Mon Jun 07 2004 Abel Cheung <deaddog@deaddog.org> 2.1.1-2mdk
- Rebuild with new gcc
- Add missing Buildrequires

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-1mdk
- increase major number
- fix build
- new version

